player_ir_data Struct Reference

Data: ranges (PLAYER_IR_DATA_RANGES) More...

`#include <player_interfaces.h>`

## Public Attributes

uint32_t | voltages_count
| number of samples
float * | voltages
| voltages [V]
uint32_t | ranges_count
| number of samples
float * | ranges
| ranges [m]

## Detailed Description

Data: ranges (PLAYER_IR_DATA_RANGES)

The `ir` interface returns range readings from the IR array.

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45